/* Copyright (C) 2003, 2005 Peter Selinger.
   This file is part of farsiweb. It is free software and it is covered
   by the GNU General Public License. See the file COPYING for details. */

/* some constants. */
#define C_BEGIN    1  /* language switch begin */
#define C_END      2  /* language switch end */
#define C_SYMB     3  /* symbol */
#define C_LET      4  /* letter: potentially combines with other letters */
#define C_MOD      5  /* modifier: modifies previous letter */
#define C_ESC      6  /* escape character: quotes the following character */
#define C_BLIT(n)  (7|(n<<4)) /* "literal" mode on */
#define C_ELIT(n)  (8|(n<<4))  /* "literal" mode off */
#define C_NULL     9  /* symbol which causes no word break */

#define IS_BLIT(x) (((x) & 0xf) == C_BLIT(0))
#define IS_ELIT(x) (((x) & 0xf) == C_ELIT(0))
#define TO_ELIT(x) ((x)+1)

struct trans_s {
  char *code;
  char *uni;
  char *alt;  /* if defined, use this at word boundary */
  int typ;
  char *desc;
};

extern struct trans_s *trans;
